Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface SnapshotFactory

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SnapshotFactoryImpl

    public interface SnapshotFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `SnapshotPackage`

Field Summary
`static SnapshotFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`CompositeEvent` | `createCompositeEvent()` Returns a new object of class 'Composite Event'.
`Derivation` | `createDerivation()` Returns a new object of class 'Derivation'.
`Event` | `createEvent()` Returns a new object of class 'Event'.
`Extractor` | `createExtractor()` Returns a new object of class 'Extractor'.
`Handler` | `createHandler()` Returns a new object of class 'Handler'.
`JoinEntry` | `createJoinEntry()` Returns a new object of class 'Join Entry'.
`JoinInput` | `createJoinInput()` Returns a new object of class 'Join Input'.
`JoinInputCollector` | `createJoinInputCollector()` Returns a new object of class 'Join Input Collector'.
`JoinNode` | `createJoinNode()` Returns a new object of class 'Join Node'.
`Predicate` | `createPredicate()` Returns a new object of class 'Predicate'.
`PredicateNode` | `createPredicateNode()` Returns a new object of class 'Predicate Node'.
`Snapshot` | `createSnapshot()` Returns a new object of class 'Snapshot'.
`SnapshotPackage` | `getSnapshotPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final SnapshotFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createSnapshot

    Snapshot createSnapshot()

  Returns a new object of class 'Snapshot'.

  Returns:
    a new object of class 'Snapshot'.

### createHandler

    Handler createHandler()

  Returns a new object of class 'Handler'.

  Returns:
    a new object of class 'Handler'.

### createDerivation

    Derivation createDerivation()

  Returns a new object of class 'Derivation'.

  Returns:
    a new object of class 'Derivation'.

### createEvent

    Event createEvent()

  Returns a new object of class 'Event'.

  Returns:
    a new object of class 'Event'.

### createPredicateNode

    PredicateNode createPredicateNode()

  Returns a new object of class 'Predicate Node'.

  Returns:
    a new object of class 'Predicate Node'.

### createJoinInput

    JoinInput createJoinInput()

  Returns a new object of class 'Join Input'.

  Returns:
    a new object of class 'Join Input'.

### createJoinNode

    JoinNode createJoinNode()

  Returns a new object of class 'Join Node'.

  Returns:
    a new object of class 'Join Node'.

### createJoinInputCollector

    JoinInputCollector createJoinInputCollector()

  Returns a new object of class 'Join Input Collector'.

  Returns:
    a new object of class 'Join Input Collector'.

### createJoinEntry

    JoinEntry createJoinEntry()

  Returns a new object of class 'Join Entry'.

  Returns:
    a new object of class 'Join Entry'.

### createExtractor

    Extractor createExtractor()

  Returns a new object of class 'Extractor'.

  Returns:
    a new object of class 'Extractor'.

### createPredicate

    Predicate createPredicate()

  Returns a new object of class 'Predicate'.

  Returns:
    a new object of class 'Predicate'.

### createCompositeEvent

    CompositeEvent createCompositeEvent()

  Returns a new object of class 'Composite Event'.

  Returns:
    a new object of class 'Composite Event'.

### getSnapshotPackage

    SnapshotPackage getSnapshotPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD